Get Provider Defaults
Get default rclone configuration for a provider type.
Required Role: VIEWER or higher
This endpoint shows which default settings will be automatically applied when you create a Task using locations of this provider type. These defaults improve compatibility and performance but can be overridden by providing your own rclone_config values in the Task.
Use this endpoint to:
- See what defaults are applied for a provider before creating a task
- Understand which settings you can override in Task.rclone_config
- Learn about provider-specific optimizations
Returns a dictionary of default rclone config settings for the provider. Returns an empty object if the provider has no special defaults.
Example responses:
// S3_COMPATIBLE
{"s3_no_check_bucket": true}
// B2
{"transfers": 32, "b2_hard_delete": false, "fast_list": true}
// S3
{}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Cloud storage provider types.
s3, azure_blob, gcs, r2, b2, wasabi, railway, oracle_object_storage_s3, s3_compatible, tigris, digitalocean_spaces, hetzner, rabata, filone, filebase, impossible_cloud, fastly, mega_s4 Response
Successful Response
The response is of type Response Get Provider Defaults V1 Teams Team Id Locations Defaults Location Type Get · object.